<?php
  session_start();
  $yhendus=new mysqli("localhost", "if10", "8UrHR8Kmrs7qFUWs", "if10_jaagup1");
  function lisaTaotlus($kontakt, $sisu){
    global $yhendus;
	$kask=$yhendus->prepare("INSERT INTO taotlused 
	  (kontakt, sisu) VALUES (?, ?)");
	$kask->bind_param("ss", $kontakt, $sisu);
	$kask->execute();
  }
  function tegelejataTaotlused(){
    global $yhendus;
	$kask=$yhendus->prepare("SELECT id, kontakt, sisu 
	  FROM taotlused WHERE tegeleja_id=1");
	$kask->bind_result($id, $kontakt, $sisu);
	$kask->execute();
	$hoidla=array();
	while($kask->fetch()){
	  $taotlus=new stdClass();
	  $taotlus->id=$id;
	  $taotlus->kontakt=htmlspecialchars($kontakt);
	  $taotlus->sisu=htmlspecialchars($sisu);
	  array_push($hoidla, $taotlus);
	}
	return $hoidla;
  }
  function looRippmenyy($sqllause, $valikunimi){
    global $yhendus;
	$kask=$yhendus->prepare($sqllause);
	$kask->bind_result($id, $sisu);
	$kask->execute();
	$t="<select name='$valikunimi'>";
	while($kask->fetch()){
	  $t.="<option value='$id'>".
	     htmlspecialchars($sisu)."</option>";
	}
	$t.="</select>";
	return $t;
  }
  function taotluseleTegeleja($taotluse_id, $tegeleja_id){
    global $yhendus;
	$kask=$yhendus->prepare("UPDATE taotlused 
	  SET tegeleja_id=? WHERE id=?");
	$kask->bind_param("ii", $tegeleja_id, $taotluse_id);
	$kask->execute();
  }
  function ametnikuLahendamataTaotlused($ametniku_id){
    global $yhendus;
	$kask=$yhendus->prepare("SELECT id, kontakt, sisu
	  FROM taotlused WHERE ISNULL(lahendus) AND
	       tegeleja_id=?");
    $kask->bind_param("i", $ametniku_id);
	$kask->bind_result($id, $kontakt, $sisu);
	$kask->execute();
	$hoidla=array();
	while($kask->fetch()){
	  $taotlus=new stdClass();
	  $taotlus->id=$id;
	  $taotlus->kontakt=htmlspecialchars($kontakt);
	  $taotlus->sisu=htmlspecialchars($sisu);
	  array_push($hoidla, $taotlus);
	}
	return $hoidla;
  }
  function salvestaLahendus($taotluse_id, $ametniku_id, $lahendus){
    global $yhendus;
	$kask=$yhendus->prepare("UPDATE taotlused  
	  SET lahendus=? WHERE id=? AND tegeleja_id=?");
	$kask->bind_param("sii", $lahendus, $taotluse_id, $ametniku_id);
	$kask->execute();
  }
  
  //print_r(ametnikuLahendamataTaotlused(2));
 ?>